import { tap } from "node:test/reporters";
import { run } from "node:test";
import process from "node:process";
import path from "node:path";

run({
  files: [
    path.resolve("./bin/_test/vault.test.js"),
    path.resolve("./bin/_test/document.test.js"),
  ],
})
  .on("test:fail", () => {
    process.exitCode = 1;
  })
  .compose(tap)
  .pipe(process.stdout);
